## com.imcode.imcms.flow
Class CreateDocumentWithEditPageFlow

    java.lang.Object
      com.imcode.imcms.flow.PageFlow
          com.imcode.imcms.flow.DocumentPageFlow
              com.imcode.imcms.flow.CreateDocumentPageFlow
                  com.imcode.imcms.flow.CreateDocumentWithEditPageFlow

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class CreateDocumentWithEditPageFlow

extends CreateDocumentPageFlow

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.imcode.imcms.flow.DocumentPageFlow
`DocumentPageFlow.SaveDocumentCommand`

Field Summary

Fields inherited from class com.imcode.imcms.flow.CreateDocumentPageFlow
`editDocumentInformationPageFlow`

Fields inherited from class com.imcode.imcms.flow.DocumentPageFlow
`saveDocumentCommand`

Fields inherited from class com.imcode.imcms.flow.PageFlow
`REQUEST_ATTRIBUTE_OR_PARAMETER__FLOW, REQUEST_PARAMETER__CANCEL_BUTTON, REQUEST_PARAMETER__OK_BUTTON, REQUEST_PARAMETER__PAGE, returnCommand`

Constructor Summary
`CreateDocumentWithEditPageFlow(EditDocumentPageFlow editDocumentPageFlow)`

Method Summary
`protected void` `dispatchFromEditPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String page)`
`protected void` `dispatchOkFromDocumentInformation(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchOkFromEditPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class com.imcode.imcms.flow.CreateDocumentPageFlow
`dispatchFromPage, dispatchOk, dispatchToFirstPage, getDocument`

Methods inherited from class com.imcode.imcms.flow.DocumentPageFlow
`fromRequest, saveDocument, saveDocumentAndReturn`

Methods inherited from class com.imcode.imcms.flow.PageFlow
`dispatch, dispatchReturn, getSessionAttributeName, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateDocumentWithEditPageFlow

    public CreateDocumentWithEditPageFlow(EditDocumentPageFlow editDocumentPageFlow)

Method Detail

### dispatchOkFromDocumentInformation

    protected void dispatchOkFromDocumentInformation(javax.servlet.http.HttpServletRequest request,
                                                     javax.servlet.http.HttpServletResponse response)
                                              throws java.io.IOException,
                                                     javax.servlet.ServletException

  Specified by:
    `dispatchOkFromDocumentInformation` in class `CreateDocumentPageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchFromEditPage

    protected void dispatchFromEditPage(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response,
                                        java.lang.String page)
                                 throws java.io.IOException,
                                        javax.servlet.ServletException

  Specified by:
    `dispatchFromEditPage` in class `CreateDocumentPageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOkFromEditPage

    protected void dispatchOkFromEditPage(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)
                                   throws java.io.IOException,
                                          javax.servlet.ServletException

  Specified by:
    `dispatchOkFromEditPage` in class `CreateDocumentPageFlow`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`